## qtoctave 0.5.1+dfsg

=== Makefile ===
all:
	cd qtoctave; /usr/lib/qt4//bin/qmake
	cd qtoctave; /usr/bin/gmake
	cd widgetserver; /usr/lib/qt4//bin/qmake
	cd widgetserver; /usr/bin/gmake
install:
	cd qtoctave; /usr/bin/gmake install
	cd widgetserver; /usr/bin/gmake install
uninstall:
	cd qtoctave; /usr/bin/gmake uninstall
	cd widgetserver; /usr/bin/gmake uninstall
clean:
	cd qtoctave; /usr/bin/gmake clean
	cd widgetserver; /usr/bin/gmake clean
	cd install-tool; /usr/bin/gmake clean
