=== qtjs/CMakeLists.txt ===
add_subdirectory (src)
