## qtoctave 0.9.2%2bsvn255-1-maemo0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,12 @@
 
 #SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/qtoctave/cmake-modules/)
 
-set(CMAKE_BUILD_TYPE Release)
+IF (NOT CMAKE_BUILD_TYPE)
+   SET(CMAKE_BUILD_TYPE Release)
+ENDIF (NOT CMAKE_BUILD_TYPE)
 
 #Uncoment to Verbose mode
 #set(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-configure_file ( qtoctave/configure.h qtoctave/src/configure.h )
 
 ADD_DEFINITIONS(-DUSER_CONFIG)
 
@@ -28,21 +28,20 @@
 
 include(UseQt4)
 
-if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 5   )
+if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 7   )
 	MESSAGE (FATAL_ERROR 
-			"Qt version 4.5 required.\n"
+			"Qt version 4.7 required.\n"
 			"Qt version installed is: ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}\n"
 			"Please install required version.\n"
 		)
-endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 5   )
-
-
+endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 7   )
 
 add_subdirectory (qtoctave_pkg/src)
 add_subdirectory (xmlwidget/qt4)
 add_subdirectory (easy_plot)
 add_subdirectory (simple_rcs)
 add_subdirectory (qtjs)
+add_subdirectory (qtoctave-info-reader)
 add_subdirectory (qtoctave)
