=== debian/changelog ===
qtoctave (0.9.2+svn255-1-maemo0) unstable; urgency=low

  * First build for Maemo

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Sat, 20 Nov 2010 11:04:00 +0000

qtoctave (0.9.2+svn255-1) unstable; urgency=low

  * Package upstream SVN snapshot which contains rename qtinfo =>
    qtoctave-info-reader (closes: #584858)
  * Dropped patches (applied upstream)
    - generate_qm_files
    - install-supplementary-docs

 -- Thomas Weber <tweber@debian.org>  Sun, 13 Jun 2010 00:16:45 +0200

qtoctave (0.9.1-1) unstable; urgency=low

  [ Jordi Gutiérrez Hermoso ]
  * New upstream release
  * debian/watch: Update regexp to allow notification for bz2 archives
  * This version works with Qt 4.6 (closes: #565197,584349)
  * Removed +dfsg from version; upstream has stopped distributing
    GPL-questionable docs.
  * Dropped patches:
    - add_missing_includes (partly superseded by code changes, partly applied)
    - font-option-in-png-export (applied upstream)
    - install_easyplot_as_target (applied upstream)
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * debian/docs: removed news.txt and LICENSE_GPL.txt
  * New patches:
    + generate_qm_files: ensure that l10n files get built
    + install-supplementary-docs: install more docs, mostly for qtoctave-utils
    + build-widgetserver: widgetserver wasn't included in newer CMake build,
      this fixes this
  * New stub manpages for easy_plot, qtinfo, qtjs, qtoctave_pkg, simplercs,
    xmlwidget

  [ Thomas Weber ]
  * debian/control: Remove Rafael Laboissiere from Uploaders (Closes: #571914)
  * Switch to dpkg-source 3.0 (quilt) format
  * No longer uuencode icons.tar file (dpkg-source 3.0 format allows binary
    files in the diff)
  * Dropped patches:
    - dont_include_simple_rcs (we install the simplercs command)
    - use_cstdio_header (applied upstream)
    - move_doc_under_doc (applied upstream)
  * Adapt patch build-out-of-source, part of it was applied upstream
  * Adapt patch use_octave_htmldoc for new release
  * Remove no-longer-true entry from README.Debian. We now ship simplercs.

 -- Jordi Gutiérrez Hermoso <jordigh@gmail.com>  Sun, 06 Jun 2010 15:10:08 +0200

qtoctave (0.8.2+dfsg-2) unstable; urgency=low

  * Fix build failure for GCC 4.4 via use_cstdio_header (closes: #550264)
    Thanks to Martin Michlmayr for both the report and the patch.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 11 Oct 2009 16:29:55 +0200

qtoctave (0.8.2+dfsg-1) unstable; urgency=low

  * New upstream version (closes: #538047)
  * Change packaging of dfsg-tarball and adapt patches to it.
    + We no longer move files around in the tarball for creating the
      dfsg-version.
    + Adapt patches and paths for Octave 3.2.
      - build-out-of-source is much shorter now
      - move_doc_under_doc adapted for new directories
    + Rename use_octave3.0-htmldoc to the more generic use_octave_htmldoc
    + New patches: 
      - dont_include_simple_rcs: We don't ship SimpleRCS in the dfsg tarball,
        so remove it from the build system as well.
      - install_easyplot_as_target: change signature of INSTALL command for
        out-out-source-builds

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 04 Oct 2009 10:08:00 +0200

qtoctave (0.8.1+dfsg-3) unstable; urgency=low

  * debian/patche/font-option-in-png-export: When exporting a figure in
    png format, give the correct font option to the print command,
    prepending -F to Helvetica:12 (closes: #521731)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 01 Apr 2009 22:15:59 +0200

qtoctave (0.8.1+dfsg-2) unstable; urgency=low

  * debian/control:
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump Standards-Version to 3.8.1 (no changes needed)
  * debian/copyright: Use © instead of (C) in copyright notices (Lintian
    warning)
  * debian/patches/add_missing_includes: Add description (Lintian warning)
  * debian/patches/build-out-of-source: Ditto
  * debian/patches/move_doc_under_doc: Ditto
  * debian/patches/use_octave3.0-htmldoc: Ditto

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Mar 2009 20:57:17 +0100

qtoctave (0.8.1+dfsg-1) experimental; urgency=low

  [ Jordi Gutiérrez Hermoso ]
  * New upstream release
  * Removed patch: add_path_for_cmake26, now builds without it.
  * Added missing includes (closes: #505334)
    + New patch: add_missing_includes
    + src/search_dialog.cpp: added "#include <stdio.h>"
    + src/octave_connection.cpp: added "#include <stdio.h>"

  [ Rafael Laboissiere ]
  * debian/rules: Add get-orig-source rule
  * debian/README.source: Add explanations on how the Debian upstream
    tarball is generated, complying with Debian Policy section 4.14
  * Uploaded to experimental, avoiding interference with the release of
    lenny

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 30 Nov 2008 15:40:20 +0000

qtoctave (0.7.4+dfsg-3) unstable; urgency=low

  * debian/watch: Remove "+dfsg" from the upstream version before number
    comparison
  * debian/patches/add_path_for_cmake26: Change patch, such that it works
    with both cmake 2.4 and 2.6 (this should make the package into
    testing, since hppa has only cmake 2.4)
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)
  * debian/clean, debian/rules, debian/control, debian/compat: Use
    debian/clean file for deleting files and bump build-dependency on
    debhelper to >= 7.0.0

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 16 Jul 2008 19:52:14 +0200

qtoctave (0.7.4+dfsg-2) unstable; urgency=low

  * New patch: add_path_for_cmake26, necessary for compilation with cmake 2.6
    (closes: #482253)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 31 May 2008 20:10:17 +0200

qtoctave (0.7.4+dfsg-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Drop the build-dependencies on several lib*-dev
    packages introduced in the previous versions.  Force the
    build-dependency on libqt4-dev to be equal or greater than 4.4.0~rc1-4

