=== debian/changelog ===
qtoctave (0.9.2+svn255-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Update description to reflect recommends on
      octave3.2-htmldoc.
    - debian/patches/allow_qt_ge_46: allow build with Qt version >= 4.6
      (not just == 4.6).

 -- Andreas Wenning <awen@awen.dk>  Tue, 15 Jun 2010 23:23:18 +0200

qtoctave (0.9.1-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Update description to reflect recommends on
    octave3.2-htmldoc.
  * debian/patches/allow_qt_ge_46: allow build with Qt version >= 4.6
    (not just == 4.6).

 -- Andreas Wenning <awen@awen.dk>  Thu, 10 Jun 2010 15:40:08 +0200

qtoctave (0.8.2+dfsg-2ubuntu2) maverick; urgency=low

  * debian/control: Update description to reflect recommends on
    octave3.2-htmldoc. (LP: #578680)

 -- Andreas Wenning <awen@awen.dk>  Sat, 15 May 2010 11:31:08 +0200

qtoctave (0.8.2+dfsg-2ubuntu1) lucid; urgency=low

  * debian/patches/allow_qt_ge_44: allow build with Qt version >= 4.5
    (not just == 4.5) (LP: #507163).

 -- Kamal Mostafa <kamal@whence.com>  Sat, 16 Jan 2010 08:08:49 -0800
