## qtoctave 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,13 +28,13 @@
 
 include(UseQt4)
 
-if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 6   )
+if( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} GREATER 5   )
 	MESSAGE (FATAL_ERROR 
-			"Qt version 4.6 required.\n"
+			"Qt version 4.6 or 4.7 required.\n"
 			"Qt version installed is: ${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}\n"
 			"Please install required version.\n"
 		)
-endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} EQUAL 6   )
+endif( NOT ${QT_VERSION_MAJOR} EQUAL 4 OR NOT ${QT_VERSION_MINOR} GREATER 5   )
 
 add_subdirectory (qtoctave_pkg/src)
 add_subdirectory (xmlwidget/qt4)
