=== qtjs/CMakeLists.txt ===
add_subdirectory (src)

install(
	DIRECTORY doc
	DESTINATION share/doc/qtoctave-utils/qtjs
)

install(
	FILES "instalar.txt" "install.txt"
	DESTINATION share/doc/qtoctave-utils/qtjs
)
