=== qtoctave/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,8 @@
 
 SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake-modules/)
 
-set(CMAKE_BUILD_TYPE Release)
-
 #Uncoment to Verbose mode
 #set(CMAKE_VERBOSE_MAKEFILE TRUE)
-
-configure_file ( configure.h src/configure.h )
 
 ADD_DEFINITIONS(-DUSER_CONFIG)
 
@@ -39,7 +35,7 @@
   SET(CPACK_PACKAGE_NAME qtoctave)
   SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
   SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-  SET(CPACK_PACKAGE_VERSION_MINOR "8.1")
+  SET(CPACK_PACKAGE_VERSION_MINOR "8.2")
   SET(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
   SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
   SET(CPACK_SOURCE_IGNORE_FILES "/.svn/;/cmake-build/")
