=== xmlwidget/CMakeLists.txt ===
add_subdirectory(qt4)

install(
	DIRECTORY doc
	DESTINATION share/doc/qtoctave-utils/xmlwidget
)

install(
	DIRECTORY examples
	DESTINATION share/doc/qtoctave-utils/xmlwidget
)
