=== easy_plot/src/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 include_directories(${QT_QTGUI_INCLUDE_DIR})
 include_directories(${QT_QTXML_INCLUDE_DIR})
 include_directories(${QT_QTSVG_INCLUDE_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 QT4_WRAP_UI(ui_design_main_window.h design_main_window.ui)
 QT4_WRAP_UI(ui_export_to_dialog.h export_to_dialog.ui)
@@ -41,7 +42,14 @@
 
 TARGET_LINK_LIBRARIES(easy_plot ${Qt4_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSQL_LIBRARY} ${QT_QTSVG_LIBRARY})
 
+SET_TARGET_PROPERTIES(easy_plot
+        PROPERTIES INSTALL_RPATH ":usr/lib"
+        BUILD_WITH_INSTALL_RPATH true
+        INSTALL_RPATH_USE_LINK_PATH true
+)
+
 install	(
-		PROGRAMS easy_plot
-		DESTINATION bin
+		TARGETS easy_plot
+		RUNTIME DESTINATION bin
 	)
+
