=== debian/changelog ===
qtoctave (0.10.1-4) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Indicate in the splash screen that qtoctave is a deprecated program

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Remove homepage, it no longer exists.
  * Remove obsolete DM-Upload-Allowed field.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Use canonical URLs for Vcs-* fields.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Feb 2014 17:30:47 +0000

qtoctave (0.10.1-3) unstable; urgency=low

  * Depend on octave 3.6
  * Recommend octave-info, since by default qtoctave uses Info and not HTML
  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/patches/use_octave_htmldoc: update patch
  * debian/patches/qtinfo-octave3.4: new patch from upstream SVN
  * debian/patches/initial_position: new patch imported from Fedora
  * debian/patches/no-native-menubars: new patch imported from Ubuntu

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 11 Mar 2012 17:22:47 +0100

qtoctave (0.10.1-2) unstable; urgency=low

  * Fix name of stub manpage for qtoctave-info-reader (was incorrectly
    named qtinfo.1)
  * debian/patches/filedialog-filters: new patch, fixes *.m filename
    filters in file dialogs (closes: #620062)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 21 Aug 2011 16:40:26 +0200

qtoctave (0.10.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release (closes: #593447, #621942)
  * debian/control:
    - Bump Standards-Version to 3.9.2 (no changes needed)
    - Remove article in short description (lintian was complaining)
    - Update Octave version in long description
    - Add myself to Uploaders
  * debian/copyright: remove obsolete paragraph about tarball repackaging
  * debian/watch: fix bug in regexp, the tarball extension was in the
    version number matched

 -- Thomas Weber <tweber@debian.org>  Mon, 27 Jun 2011 22:48:36 +0200
