=== debian/control ===
Source: qtoctave
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Jordi Gutiérrez Hermoso <jordigh@gmail.com>,
 Thomas Weber <tweber@debian.org>,
 Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), cdbs, cmake, sharutils,
 libqt4-dev (>= 4.4.0~rc1-4)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-octave/qtoctave.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/qtoctave.git

Package: qtoctave
Architecture: any
Depends: octave, ${shlibs:Depends}, ${misc:Depends}
Recommends: octave-htmldoc, octave-info
Description: Qt front-end to Octave
 Besides offering an attractive front-end to GNU Octave, an
 environment for numerical computation highly compatible with MATLAB,
 QtOctave currently also features matrix data entry and display and
 some GUI shortcuts to frequently used Octave functions. It also
 offers access in place to Octave's documentation with octave-htmldoc
 or octave-info.
