=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//				\
	http://forja.rediris.es/frs/?group_id=60	\
	(?:.*)\/qtoctave-([\d*\.]+)\.tar\.(?:gz|bz2)
